org.richfaces.renderkit

## Class DnDParametersEncoder

- java.lang.Object
- - org.richfaces.renderkit.DnDParametersEncoder

- All Implemented Interfaces:
    org.richfaces.renderkit.AttributeParametersEncoder

      public class DnDParametersEncoder
      extends java.lang.Object
      implements org.richfaces.renderkit.AttributeParametersEncoder

  Author:
    Nick Belaevski - nbelaevski@exadel.com created 30.01.2007

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doEncode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected java.util.Map` | `doEncodeAsMap(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `java.lang.String` | `doEncodeAsString(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `static DnDParametersEncoder` | `getInstance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static DnDParametersEncoder getInstance()

    - #### doEncode

          public void doEncode(javax.faces.context.FacesContext context,
                      javax.faces.component.UIComponent component)
                        throws java.io.IOException

      Specified by:
        `doEncode` in interface `org.richfaces.renderkit.AttributeParametersEncoder`
      Throws:
        `java.io.IOException`

    - #### doEncodeAsString

          public java.lang.String doEncodeAsString(javax.faces.context.FacesContext context,
                                          javax.faces.component.UIComponent component)
                                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### doEncodeAsMap

          protected java.util.Map doEncodeAsMap(javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component)
                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2014. All Rights Reserved.